<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<% String titleKey = "org.ucal.calendar.title.main.manage"; %>
<logic:equal name="peForm" property="userAuth.superUser" value="true" >
  <% titleKey = "org.ucal.calendar.title.main.admin"; %>
</logic:equal>

<jsp:include page="menuHeader.jsp">
  <jsp:param name="title" value="<%=titleKey%>"/>
</jsp:include>

<%--  Non admin segment of the page --%>
<h2 class="menuTitle">Main Menu</h2>
<table id="mainMenuTable">
  <tr>
    <th>Events</th>
      <td>
        <genurl:link page="/event/initAddEvent.do" >
          Add
        </genurl:link>
      </td>
      <td>
        <genurl:link page="/event/initUpdateEvent.do" >
          Edit / Delete
        </genurl:link>
      </td>
    </td>
    <td>
      Event ID:
      <genurl:form action="event/fetchForDisplay.do">
        <html:text property="event.id" size="6" />
        <html:submit value="go" />
      </genurl:form>
    </td>
  </tr>
  <logic:equal name="peForm" property="userAuth.alertUser" value="true" >
    <tr>
      <th>Alerts</th>
      <td>
        <genurl:link page="/event/initAddAlert.do" >
          Add
        </genurl:link>
      </td>
      <td>
        <genurl:link page="/event/initUpdateAlert.do" >
          Edit / Delete
        </genurl:link>
      </td>
    </tr>
  </logic:equal>
  <tr>
    <th>Contacts</th>
    <td>
      <genurl:link page="/sponsor/initAdd.do" >
        Add
      </genurl:link>
    </td>
    <td>
      <genurl:link page="/sponsor/initUpdate.do" >
        Edit / Delete
      </genurl:link>
    </td>
  </tr>
  <tr>
    <th>Locations</th>
    <td>
      <genurl:link page="/location/initAdd.do" >
        Add
      </genurl:link>
    </td>
    <td>
      <genurl:link page="/location/initUpdate.do" >
        Edit / Delete
      </genurl:link>
    </td>
  </tr>
</table>


<%--  Content admin and super user segment of the page.
     Super user will have content admin access. --%>

<logic:equal name="peForm" property="userAuth.contentAdminUser" value="true" >
  <h2 class="menuTitle">Administrator's Menu</h2>
  <table id="adminMenuTable">
    <logic:equal name="peForm" property="userAuth.superUser"
                 value="true" >
      <logic:equal name="peForm" property="adminGroupMaintOK"
                   value="true" >
        <tr>
          <th>Admin Groups</th>
          <td>
            <genurl:link page="/admingroup/initAdd.do" >
              Add
            </genurl:link>
          </td>
          <td>
            <genurl:link page="/admingroup/initUpdate.do" >
              Edit / Delete
            </genurl:link>
          </td>
        </tr>
      </logic:equal>
      <logic:equal name="peForm" property="userMaintOK" value="true" >
        <tr>
          <th>Authorised Users</th>
          <td>
          &nbsp;
          </td>
          <td>
            <genurl:link page="/authuser/initUpdate.do" >
              List Authorised
            </genurl:link>
          </td>
        </tr>
      </logic:equal>
      <tr>
        <th>Calendars</th>
        <td>
          <genurl:link page="/calendars.do?initAddCalendars=yes" >
            Add (all)
          </genurl:link>
        </td>
      </tr>
    </logic:equal>
    <tr>
      <th>Keywords</th>
      <td>
        <genurl:link page="/keyword/initAdd.do" >
          Add
        </genurl:link>
      </td>
      <td>
        <genurl:link page="/keyword/initUpdate.do" >
          Edit / Delete
        </genurl:link>
      </td>
    <tr>
    <%-- <tr>
      <th>Administer for:</th>
      <td>
        <genurl:form action="setup.do">
          user:&nbsp;
          <html:text property="adminUserId" size="15" /><br/>
          <html:submit property="setAdminId" value="Switch User" />
        </genurl:form>
      </td>
    </tr> --%>
    <tr>
      <th>Groups</th>
      <td>
        <genurl:link page="/admingroup/switch.do" >
          Choose group...
        </genurl:link>
      </td>
    </tr>
  </table>
</logic:equal>

<%@include file="footer.jsp"%>

