package edu.washington.cac.calfacade.shared;

/** This interface defines some calfacade values.
 *
 * @author Mike Douglass   douglm@rpi.edu
 */
public interface CalFacadeDefs {
  /** Any object with this key is considered unsaved
   */
  public static final int unsavedItemKey = -1;

  /** Reserved keyword attribute names and values start with "cal"
   */
  public static final String catClassAttrName = "calcategoryclass";

  public static final String catClassAlerts = "calalerts";

  public final static int noLocationId = 1;
  public final static int unknownLocationId = 2;

  /** Unique ID of a location that has been deleted (An event can
   *   use a location created by another user, and if the user
   *   deletes the location, the 'deleted' location can be used
   *   to indicate this event to this user.)
   */
  public final static int deletedLocationId = 3;

  /** Any location id up to this is reserved.
   */
  public static final int maxReservedLocationId = 3;

  public final static int minLocationId = maxReservedLocationId + 1;

  public final static int defaultLocationId = noLocationId;

  public final static int noSponsorId = 1;
  public final static int unknownSponsorId = 2;
  public final static int deletedSponsorId = 3;

  public final static int defaultSponsorId = noSponsorId;

  /** Any sponsor id up to this is reserved.
   */
  public static final int maxReservedSponsorId = 3;

  public final static int minSponsorId = maxReservedSponsorId + 1;
}

