package edu.washington.cac.calfacade.shared;

import java.io.Serializable;

/** A few helpers
 *
 * @author Mike Douglass     douglm@rpi.edu
 *  @version 1.0
 */
public class CalFacadeUtil implements Serializable {

  /** Compare two strings. null is less than any non-null string.
   *
   * @param s1       first string.
   * @param s2       second string.
   * @return int     0 if the s1 is equal to s2;
   *                 <0 if s1 is lexicographically less than s2;
   *                 >0 if s1 is lexicographically greater than s2.
   */
  public static int compareStrings(String s1, String s2) {
    if (s1 == null) {
      if (s2 != null) {
        return -1;
      }

      return 0;
    }

    if (s2 == null) {
      return 1;
    }

    return s1.compareTo(s2);
  }

  public static boolean eqObjval(Object thisone, Object thatone) {
    if (thisone == null) {
      return thatone == null;
    }

    return thisone.equals(thatone);
  }

  public static int cmpObjval(Comparable thisone, Comparable thatone) {
    if (thisone == null) {
      if (thatone == null) {
        return 0;
      }

      return -1;
    }

    return thisone.compareTo(thatone);
  }

  public static int cmpBoolval(boolean thisone, boolean thatone) {
    if (thisone == thatone) {
      return 0;
    }

    if (!thisone) {
      return -1;
    }

    return 1;
  }
}

