/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.uwcal.caldav;

import edu.rpi.cct.webdav.servlet.common.WebdavServlet;
import edu.rpi.cct.webdav.servlet.shared.WebdavException;
import edu.rpi.cct.webdav.servlet.shared.WebdavNsIntf;

import java.util.Properties;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;

/** This class extends the webdav servlet class, implementing the abstract
 * methods and overriding others to extend/modify the behaviour.
 *
 * @author Mike Douglass   douglm@rpi.edu
 */
public class CaldavUWServlet extends WebdavServlet {
  private ServletConfig config;

  private Properties props;

  private static final String intfName = "edu.rpi.cct.uwcal.webdav.intfname";

  private String id = null;
  /** ===================================================================
   *                     Abstract servlet methods
   *  =================================================================== */

  /** Some sort of identifying string for logging
   */
  public String getId() {
    if (id != null) {
      return id;
    }

    if (props == null) {
      return getClass().getName();
    }

    id = props.getProperty("edu.rpi.cct.uwcal.appname");
    if (id == null) {
      id = getClass().getName();
    }

    return id;
  }

  public void addMethods() throws WebdavException{
    super.addMethods();

    // Replace methods
    methods.put("REPORT", new ReportMethod());
  }

  public WebdavNsIntf getNsIntf(HttpServletRequest req,
                                ServletConfig config,
                                Properties props)
      throws WebdavException {
    this.config = config;
    this.props = props;

    CaldavUWIntf wi = new CaldavUWIntf();

    return wi;
  }
}
