/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.uwcal.caldav;

import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.LineNumberReader;
import java.io.OutputStream;
import java.net.InetSocketAddress;
import java.net.Socket;

/** Temp to try to fire requests at this thing */
public class TestCalDav {
  public static void main(String[] args) {
    try {
      Socket conn = new Socket("localhost", 8080);
//      conn.bind(new InetSocketAddress(0));

      OutputStream out = conn.getOutputStream();

      String reqContentBody =
        "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n" +
        "<C:calendar-query xmlns:D=\"DAV:\"\n" +
        "                  xmlns:C=\"urn:ietf:params:xml:ns:caldav\">\n" +
        "  <D:prop>\n" +
        "    <D:getetag/>\n" +
        "  </D:prop>\n" +
        "  <C:calendar-data>\n" +
        "    <C:comp name=\"VCALENDAR\">\n" +
        "      <C:allprop/>\n" +
        "      <C:comp name=\"VEVENT\">\n" +
        "        <C:prop name=\"X-ABC-GUID\"/>\n" +
        "        <C:prop name=\"UID\"/>\n" +
        "        <C:prop name=\"DTSTART\"/>\n" +
        "        <C:prop name=\"DTEND\"/>\n" +
        "        <C:prop name=\"DURATION\"/>\n" +
        "        <C:prop name=\"EXDATE\"/>\n" +
        "        <C:prop name=\"EXRULE\"/>\n" +
        "        <C:prop name=\"RDATE\"/>\n" +
        "        <C:prop name=\"RRULE\"/>\n" +
        "        <C:prop name=\"LOCATION\"/>\n" +
        "        <C:prop name=\"SUMMARY\"/>\n" +
        "      </C:comp>\n" +
        "      <C:comp name=\"VTIMEZONE\">\n" +
        "        <C:allprop/>\n" +
        "        <C:allcomp/>\n" +
        "      </C:comp>\n" +
        "    </C:comp> \n" +
        "  </C:calendar-data>\n" +
        "  <C:filter> <!-- a comment -->\n" +
        "    <C:comp-filter name=\"VCALENDAR\">\n" +
        "      <C:comp-filter name=\"VEVENT\">\n" +
        "        <C:time-range start=\"20040902T000000Z\"\n" +
        "                      end=\"20040902T235959Z\"/>\n" +
        "      </C:comp-filter>\n" +
        "    </C:comp-filter>\n" +
        "  </C:filter>\n" +
        "</C:calendar-query>\n";

      byte[] reqContentBodyBytes = reqContentBody.getBytes();

      String reqContent =
        "REPORT /pubcaldav/calendar/ HTTP/1.1\n" +
        "Host: localhost\n" +
//        "Authorization: Basic Y2FsdXNlcjp1d2NhbA==\n" +
        "Depth: 1\n" +
        "Content-Type: text/xml\n" +
        "Content-Length: " + reqContentBodyBytes.length + "\n" +
        "\n";

      out.write(reqContent.getBytes());
      out.write(reqContentBodyBytes);
      out.flush();
//      out.close();

       InputStream in = conn.getInputStream();
       LineNumberReader lnr = new LineNumberReader(
            new InputStreamReader(in));

       do {
         String ln = lnr.readLine();

         /*
         int ct = in.available();

         ct = Math.min(ct, inbuff.length);
         ct = in.read(inbuff, 0, ct);
         if (ct < 0) {*/
         if (ln == null) {
           break;
         }

         //System.out.print(new String(inbuff, 0, ct));
         System.out.println(ln);
       } while (true);
    } catch (Throwable t) {
      t.printStackTrace();
    }
  }
}
