/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.uwcal.caldav.filter;

import java.util.Date;

import org.apache.log4j.Logger;

/** Timerange eleent for caldav filters. Either start or end may be absent but
 * not both.
 *
 *   @author Mike Douglass   douglm@rpi.edu
 */
public class TimeRange {
  private Date start;
  private Date end;

  public TimeRange(Date start, Date end) {
    this.start = start;
    this.end = end;
  }

  public void setStart(Date val) {
    start = val;
  }

  public Date getStart() {
    return start;
  }

  public void setEnd(Date val) {
    end = val;
  }

  public Date getEnd() {
    return end;
  }

  public void dump(Logger log, String indent) {
    StringBuffer sb = new StringBuffer(indent);

    sb.append("<time-range ");
    if (start != null) {
      sb.append("start=");
      sb.append(start);
    }

    if (end != null) {
      if (start != null) {
        sb.append(" ");
      }
      sb.append("end=");
      sb.append(end);
    }

    sb.append("/>");

    log.debug(sb.toString());
  }
}

