/* **********************************************************************
    Copyright 2005 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.webdav.servlet.shared;

import edu.rpi.sss.util.xml.QName;

/** Define Webdav tags fro XMlEmit
 */
public class WebdavTags {
  /* Namespace for these tags
   */
  public static final String namespace = "DAV:";

  public static final QName acl = new QName(namespace,
                                            "acl");

  public static final QName aclRestrictions = new QName(namespace,
                                                        "acl-restrictions");

  public static final QName allprop = new QName(namespace,
                                                "allprop");

  public static final QName collection = new QName(namespace,
                                                   "collection");

  public static final QName creationdate = new QName(namespace,
                                                     "creationdate");

  public static final QName currentUserPrivilegeSet = new QName(namespace,
                                                 "current-user-privilege-set");

  public static final QName displayname = new QName(namespace,
                                                    "displayname");

  public static final QName expandProperty = new QName(namespace,
                                                       "expand-property");

  public static final QName getcontentlanguage = new QName(namespace,
                                                           "getcontentlanguage");

  public static final QName getcontentlength = new QName(namespace,
                                                       "getcontentlength");

  public static final QName getcontenttype = new QName(namespace,
                                                       "getcontenttype");

  public static final QName getetag = new QName(namespace,
                                                     "getetag");

  public static final QName getlastmodified = new QName(namespace,
                                                       "getlastmodified");

  public static final QName href = new QName(namespace,
                                             "href");

  public static final QName inheritedAclSet = new QName(namespace,
                                                        "inherited-acl-set");

  public static final QName lockdiscovery = new QName(namespace,
                                                      "lockdiscovery");

  public static final QName lockentry = new QName(namespace,
                                                  "lockentry");

  public static final QName lockscope = new QName(namespace,
                                                  "lockscope");

  public static final QName locktype = new QName(namespace,
                                                 "locktype");

  public static final QName multistatus = new QName(namespace,
                                                    "multistatus");

  public static final QName owner = new QName(namespace,
                                              "owner");

  public static final QName principalCollectionSet = new QName(namespace,
                                                 "principal-collection-set");

  public static final QName prop = new QName(namespace,
                                             "prop");

  public static final QName propname = new QName(namespace,
                                                 "propname");

  public static final QName propstat = new QName(namespace,
                                                 "propstat");

  public static final QName resourcetype = new QName(namespace,
                                                     "resourcetype");

  public static final QName response = new QName(namespace,
                                                 "response");

  public static final QName responseDescription =
          new QName(namespace, "responsedescription");

  public static final QName source = new QName(namespace,
                                               "source");

  public static final QName status = new QName(namespace,
                                                    "status");

  public static final QName supportedPrivilegeSet = new QName(namespace,
                                                        "supported-privilege-set");

  public static final QName supportedlock = new QName(namespace,
                                                  "supportedlock");
}

